build_image:
  image: docker:git
  services:
  - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/fearnixxgaming/docker/solder-dummy .
    - docker push registry.gitlab.com/fearnixxgaming/docker/solder-dummy:latest
  only:
    - master
